throttle_tcp: throttle_tcp.o
		 cc throttle_tcp.o -lpthread -o throttle_tcp
		 rm throttle_tcp.o
	
throttle_tcp.o: throttle_tcp.c
		cc -D_GNU_SOURCE -c throttle_tcp.c

clean:
		rm -f throttle_tcp throttle_tcp.o
